Bug 250550 - emulators/open-vm-tools open-vm-tools 11.2.0 has been released
Summary: emulators/open-vm-tools open-vm-tools 11.2.0 has been released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-23 01:12 UTC by John Wolfe
Modified: 2021-01-09 15:07 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (jpaetzel)


Attachments
emulators/open-vm-tools: update to 11.2.0 release (6.07 KB, patch)
2020-12-23 13:59 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Wolfe 2020-10-23 01:12:29 UTC
open-vm-tools 11.2.0 has been released

Please see:

   https://github.com/vmware/open-vm-tools/releases/tag/stable-11.2.0

   https://github.com/vmware/open-vm-tools/releases/download/stable-11.2.0/open-vm-tools-11.2.0-16938113.tar.gz

The granular changes that have gone into the 11.2.0 release are in the ChangeLog at https://github.com/vmware/open-vm-tools/blob/stable-11.2.0/open-vm-tools/ChangeLog

This release contains fixes for a few identified memory leaks, issues uncovered by Coverity, and issues and pull requests from https://github.com/vmware/open-vm-tools
Comment 1 Dima Panov freebsd_committer 2020-12-23 13:59:50 UTC
Created attachment 220842 [details]
emulators/open-vm-tools: update to 11.2.0 release
Comment 2 Josh Paetzel freebsd_committer 2020-12-23 14:09:49 UTC
Thanks for the patch.

Have you done any testing of this version at runtime?  If no I'll get this run through some testing and then commit it.
Comment 3 Dima Panov freebsd_committer 2020-12-23 14:55:15 UTC
(In reply to Josh Paetzel from comment #2)
Build and tested on home vmware fusion instance, no issues detected. Of course, more testing is good
Comment 4 Dima Panov freebsd_committer 2020-12-29 19:46:11 UTC
(In reply to Josh Paetzel from comment #2)
ping! any news?

Have tested this update on latest Fusion and ESXi 6.5/6.7. No issues detected, update is ready to land
Comment 5 Josh Paetzel freebsd_committer 2020-12-31 16:44:29 UTC
I have completed testing as well with no issues detected.

I can commit this in a day or two or you are more than welcome to commit it now with an approved by: now.
Comment 6 commit-hook freebsd_committer 2020-12-31 19:18:49 UTC
A commit references this bug:

Author: fluffy
Date: Thu Dec 31 19:17:53 UTC 2020
New revision: 559767
URL: https://svnweb.freebsd.org/changeset/ports/559767

Log:
  emulators/open-vm-tools: update to 11.2.0 release

  PR:		250550
  Submitted by:	fluffy
  Approved by:	jpaetzel

Changes:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-lib_misc_util__misc.c
  head/emulators/open-vm-tools/files/patch-lib_vmCheck_vmcheck.c
  head/emulators/open-vm-tools/files/patch-modules_Makefile.am
  head/emulators/open-vm-tools/files/patch-modules_freebsd_vmblock_Makefile
  head/emulators/open-vm-tools/files/patch-pam_generic
  head/emulators/open-vm-tools/files/patch-scripts_linux_pam.d_vmtoolsd
  head/emulators/open-vm-tools/files/patch-services_vmtoolsd_Makefile.am
Comment 7 Dima Panov freebsd_committer 2020-12-31 19:19:31 UTC
Committed!
Comment 8 commit-hook freebsd_committer 2021-01-09 15:07:43 UTC
A commit references this bug:

Author: fluffy
Date: Sat Jan  9 15:07:21 UTC 2021
New revision: 560869
URL: https://svnweb.freebsd.org/changeset/ports/560869

Log:
  MFH: r559767 r560752

  emulators/open-vm-tools: update to 11.2.0 release

  PR:		250550
  Submitted by:	fluffy
  Approved by:	jpaetzel

  devel/doxygen: Update to 1.9.0

  - regen patches by 'make makepatch'
  - adjust consumers which affected by new doxygen styles
  - take maintainersip

  Changelog: https://www.doxygen.nl/manual/changelog.html#log_1_9_0

  PR:		242347
  Submitted by:	fluffy
  Reported by:	Naram Qashat (ex-maintainer)
  Exp-run by:	antoine

Changes:
_U  branches/2021Q1/
  branches/2021Q1/archivers/lib1541img/Makefile
  branches/2021Q1/archivers/lib1541img/pkg-plist
  branches/2021Q1/audio/aubio/Makefile
  branches/2021Q1/audio/aubio/pkg-plist
  branches/2021Q1/audio/jack/Makefile
  branches/2021Q1/audio/jack/pkg-plist
  branches/2021Q1/audio/liblo/Makefile
  branches/2021Q1/audio/liblo/pkg-plist
  branches/2021Q1/audio/libmpdclient/Makefile
  branches/2021Q1/audio/libmpdclient/pkg-plist
  branches/2021Q1/audio/libsidplayfp/Makefile
  branches/2021Q1/audio/libsidplayfp/pkg-plist
  branches/2021Q1/audio/lv2/Makefile
  branches/2021Q1/comms/openzwave-devel/Makefile
  branches/2021Q1/comms/openzwave-devel/pkg-plist
  branches/2021Q1/comms/qsstv/Makefile
  branches/2021Q1/comms/qsstv/pkg-plist
  branches/2021Q1/comms/rtl-sdr/Makefile
  branches/2021Q1/comms/rtl-sdr/pkg-plist
  branches/2021Q1/comms/uhd/Makefile
  branches/2021Q1/comms/uhd/pkg-plist
  branches/2021Q1/databases/libdrizzle/Makefile
  branches/2021Q1/databases/libdrizzle/pkg-plist
  branches/2021Q1/devel/cppunit/Makefile
  branches/2021Q1/devel/cppunit/pkg-plist
  branches/2021Q1/devel/doxygen/Makefile
  branches/2021Q1/devel/doxygen/distinfo
  branches/2021Q1/devel/doxygen/files/patch-CMakeLists.txt
  branches/2021Q1/devel/doxygen/files/patch-doc-doxygen_manual.tex
  branches/2021Q1/devel/doxygen/files/patch-doc_CMakeLists.txt
  branches/2021Q1/devel/doxygen/files/patch-md5-Doxyfile
  branches/2021Q1/devel/doxygen/files/patch-md5-definition
  branches/2021Q1/devel/doxygen/files/patch-md5-dirdef
  branches/2021Q1/devel/doxygen/files/patch-md5-dot
  branches/2021Q1/devel/doxygen/files/patch-md5-dotgraph
  branches/2021Q1/devel/doxygen/files/patch-md5-memberdef
  branches/2021Q1/devel/doxygen/files/patch-md5-membergroup
  branches/2021Q1/devel/doxygen/files/patch-md5-util
  branches/2021Q1/devel/doxygen/files/patch-src_CMakeLists.txt
  branches/2021Q1/devel/doxygen/files/patch-src_formula.cpp
  branches/2021Q1/devel/doxygen/files/patch-vhdlparser_CMakeLists.txt
  branches/2021Q1/devel/lasi/Makefile
  branches/2021Q1/devel/lasi/pkg-plist
  branches/2021Q1/devel/libdbusmenu-qt/Makefile
  branches/2021Q1/devel/libdbusmenu-qt/pkg-plist
  branches/2021Q1/devel/libthai/Makefile
  branches/2021Q1/devel/libthai/pkg-plist
  branches/2021Q1/devel/qjson/Makefile
  branches/2021Q1/devel/qjson/pkg-plist
  branches/2021Q1/devel/tbb/Makefile
  branches/2021Q1/devel/tbb/pkg-plist
  branches/2021Q1/dns/ldns/Makefile
  branches/2021Q1/dns/ldns/pkg-plist
  branches/2021Q1/emulators/open-vm-tools/Makefile
  branches/2021Q1/emulators/open-vm-tools/pkg-plist
  branches/2021Q1/finance/aqbanking/Makefile
  branches/2021Q1/finance/ktoblzcheck/Makefile
  branches/2021Q1/finance/ktoblzcheck/pkg-plist
  branches/2021Q1/graphics/ogre3d/Makefile
  branches/2021Q1/graphics/ogre3d/pkg-plist
  branches/2021Q1/graphics/opensubdiv/Makefile
  branches/2021Q1/graphics/opensubdiv/pkg-plist
  branches/2021Q1/graphics/ptex/Makefile
  branches/2021Q1/graphics/ptex/pkg-plist
  branches/2021Q1/lang/ruby25/pkg-plist
  branches/2021Q1/lang/ruby26/Makefile
  branches/2021Q1/lang/ruby26/pkg-plist
  branches/2021Q1/lang/ruby27/pkg-plist
  branches/2021Q1/lang/ruby30/pkg-plist
  branches/2021Q1/mail/emailrelay/Makefile
  branches/2021Q1/mail/emailrelay/pkg-plist
  branches/2021Q1/mail/libcmime/Makefile
  branches/2021Q1/mail/libcmime/pkg-plist
  branches/2021Q1/math/fflas-ffpack/Makefile
  branches/2021Q1/math/fflas-ffpack/pkg-plist
  branches/2021Q1/math/hpcombi/Makefile
  branches/2021Q1/math/hpcombi/pkg-plist
  branches/2021Q1/math/linbox/Makefile
  branches/2021Q1/math/linbox/pkg-plist
  branches/2021Q1/math/nfft/Makefile
  branches/2021Q1/math/nfft/pkg-plist
  branches/2021Q1/multimedia/webvfx-qt5/Makefile
  branches/2021Q1/multimedia/webvfx-qt5/pkg-plist
  branches/2021Q1/net-im/libaccounts-qt5/Makefile
  branches/2021Q1/net-im/libaccounts-qt5/pkg-plist
  branches/2021Q1/science/mpqc/Makefile
  branches/2021Q1/science/mpqc/pkg-plist